DefaultInboundRouterCollection (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.inbound.DefaultInboundRouterCollection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.inbound
Class DefaultInboundRouterCollection

    java.lang.Object
      org.mule.routing.AbstractRouterCollection
          org.mule.routing.inbound.DefaultInboundRouterCollection

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, InboundRouterCollection, RouterCollection

    public class DefaultInboundRouterCollection

extends AbstractRouterCollection
implements InboundRouterCollection

`DefaultInboundRouterCollection` is a collection of routers that will be invoked when an event is received. It is responsible for managing a collection of routers and also executing the routing logic. Each router must match against the current event for the event to be routed.

Field Summary

Fields inherited from class org.mule.routing.AbstractRouterCollection
`logger, matchAll, muleContext, routers`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultInboundRouterCollection()`

Method Summary
`void` | `addEndpoint(InboundEndpoint endpoint)`
`void` | `addRouter(InboundRouter router)`
`void` | `dispatch(MuleEvent event)`
`InboundEndpoint` | `getEndpoint(String name)`
`List` | `getEndpoints()`
`boolean` | `removeEndpoint(InboundEndpoint endpoint)`
`InboundRouter` | `removeRouter(InboundRouter router)`
`MuleMessage` | `route(MuleEvent event)`
`MuleMessage` | `send(MuleEvent event)`
`void` | `setEndpoints(List endpoints)`

Methods inherited from class org.mule.routing.AbstractRouterCollection
`addRouter, dispose, getCatchAllStrategy, getRouters, getStatistics, initialise, isMatchAll, removeRouter, setCatchAllStrategy, setMatchAll, setMuleContext, setRouters, setStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.RouterCollection
`addRouter, getCatchAllStrategy, getRouters, getStatistics, isMatchAll, removeRouter, setCatchAllStrategy, setMatchAll, setRouters, setStatistics`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### DefaultInboundRouterCollection

    public DefaultInboundRouterCollection()

Method Detail

### route

    public MuleMessage route(MuleEvent event)
                      throws MessagingException

  Specified by:
    `route` in interface `InboundRouterCollection`
  Throws:
    `MessagingException`

### dispatch

    public void dispatch(MuleEvent event)
                  throws MuleException

  Throws:
    `MuleException`

### send

    public MuleMessage send(MuleEvent event)
                     throws MuleException

  Throws:
    `MuleException`

### addRouter

    public void addRouter(InboundRouter router)

  Specified by:
    `addRouter` in interface `InboundRouterCollection`

### removeRouter

    public InboundRouter removeRouter(InboundRouter router)

  Specified by:
    `removeRouter` in interface `InboundRouterCollection`

### addEndpoint

    public void addEndpoint(InboundEndpoint endpoint)

  Specified by:
    `addEndpoint` in interface `InboundRouterCollection`

### removeEndpoint

    public boolean removeEndpoint(InboundEndpoint endpoint)

  Specified by:
    `removeEndpoint` in interface `InboundRouterCollection`

### getEndpoints

    public List getEndpoints()

  Specified by:
    `getEndpoints` in interface `InboundRouterCollection`

### setEndpoints

    public void setEndpoints(List endpoints)

  Specified by:
    `setEndpoints` in interface `InboundRouterCollection`

### getEndpoint

    public InboundEndpoint getEndpoint(String name)

  Specified by:
    `getEndpoint` in interface `InboundRouterCollection`
  Parameters:
    `name` - the Endpoint identifier
  Returns:
    the Endpoint or null if the endpointUri is not registered
  See Also:
    `InboundRouterCollection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.